<?
require"ygl.php";
if(!isset($myclass)){errorview("对不起，没有该班级！！");exit;}
if(!isset($ses_user_id)||!isset($ses_user_psd)){errorview("对不起，你没有登陆！！");exit;}
$user_login_id=$ses_user_id;
$user_login_psd=$ses_user_psd;
if(!haveclass($myclass)){errorview("对不起，没有该班级！！");exit;}
if(!ynjoinclass($myclass,$user_login_id)){errorview("对不起，你没有加入该班！！");exit;}
readclass($myclass);
read_user_zl($user_login_id);
$ynhead2="1";
$ynhead3="1";
$title="班级成员列表";
include"header.php";
?>
<script language=JavaScript1.2>
var x =0
var y=0
drag = 0
move = 0
window.document.onmousemove = mouseMove
window.document.onmousedown = mouseDown
window.document.onmouseup = mouseUp
function Show(divid) {
divid.filters.revealTrans.apply();
divid.style.visibility = "visible";
divid.filters.revealTrans.play();
}
function Hide(divid) {
divid.filters.revealTrans.apply();
divid.style.visibility = "hidden";
divid.filters.revealTrans.play();
}
function mouseUp() {
move = 0;
}
function mouseDown() {
if (drag) {
clickleft = window.event.x - parseInt(dragObj.style.left);
clicktop = window.event.y - parseInt(dragObj.style.top);
dragObj.style.zIndex += 1;
move = 1;
}
}
function mouseMove() {
if (move) {
dragObj.style.left = window.event.x - clickleft;
dragObj.style.top = window.event.y - clicktop;
}
}
function mouseStop() {
window.event.returnValue = false;
}
</script>
<table height=5><tr><td></td></tr></table>
<table width="750" border="1" cellspacing="0" cellpadding="2" bordercolorlight="#B5E1F7" bordercolordark="#FFFFFF" align="center">
 <tr align="center" bgcolor="#B5E1F7">
  <td width="127">ID</td>
  <td width="152">姓名</td>
  <td width="258">E-mail</td>
  <td width="107">OICQ</td>
  <td width="74">详细资料</td>
 </tr>
<?
$lines=file("class/$myclass/list");
$size=count($lines);
$ii=1; $j=$size;
while($j>0){$j=$j-$perpage;}
if ($page==""){$page=$ii;}
$pages=$page-1;
$pages=$page*$perpage-$perpage;
for($i=$pages; $i<$pages+$perpage; $i++)
    {
    $linea=$lines[$i];
    $linea=ereg_replace("\n","", $linea);
    if ($linea != "")
        {
        $lines1a=file("class/$myclass/list");
        while(list($tmpkey, $line1a) = each($lines1a))
              {
              $line1=ereg_replace("\n","", $line1);
              list($c_u_id,$c_add_date,$vi_count)=split("\t",$linea);
              }
         read_user_zl($c_u_id);
         if(empty($usermail))$usermail="无";
         if(empty($useroicq))$useroicq="无";
         print"  <tr align=center>
  <td width=127>$user_id</td>
  <td width=152>$username</td>
  <td width=258>$usermail</td>
  <td width=107>$useroicq</td>
  <td width=74><a href=show.php?myclass=$myclass&vshow=1&showid=$user_id onClick=\"Show(messanger);\"Show(lastdiv);>详细资料</a></td>
 </tr>";
         }
     }
 print"<tr><td colspan=5 align=right>共有成员<font color=red>$size</font>人　　　";
 $j=$size;
while ($j>0) {
 if ($page != $ii) {print "<a href=sendmsg.php?myclass=$myclass&page=$ii>";};
 print "[$ii]";
 if ($page != $ii) {print "</a>";};
 $j=$j-$perpage;
 $ii++;
}
 print"</td></tr></table>";

?>
 <tr>
  <td colspan="5">&nbsp;</td>
 </tr>
</table>
<?
if(!empty($showid))
class_read_user($showid);
if(empty($cusermail))$cusermail="无";
if(empty($cuserhobby))$cuserhobby="无";
if(empty($cuserpage))$cuserpage="无";
if(empty($cuseroicq))$cuseroicq="无";
if(empty($cusericq))$cusericq="无";
if(empty($cusermobi))$cusermobi="无";
if(empty($cuseraddr))$cuseraddr="忘了";
if(empty($cusertel))$cusertel="无";
if(empty($cuserly))$cuserly="无";
if(empty($cuserblood))$cuserblood="不知道";
if(empty($cusercode))$cusercode="不知道";
?>
<div id="messanger" style="FILTER: revealTrans(transition=23,duration=0.5) blendTrans(duration=0.5); POSITION: absolute; z-index:1; background-color: #FFFFFF; border: 1px none #500000; top:82px;left:150;width:500px; visibility:<? if ($vshow==1) echo "visible"; else echo "hidden";?>;">
<table width="500" border="1" cellspacing="0" cellpadding="2" align="center" bordercolorlight="#B5E1F7" bordercolordark="#FFFFFF">
   <tr bgcolor="#B5E1F7">
    <td colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0" onMouseOver="dragObj=messanger; drag=1;move=0" style="WIDTH: 100%; CURSOR: move" onMouseOut="drag=0">
      <tr>
       <td><b>姓名：<?echo $cusername;?></b>　　　　　加入时间：<?echo $cuserdate;?></td>
       <td align=right><span style="CURSOR:hand" onClick="Hide(messanger);">关闭</span></td>
      </tr>
     </table>
    </td>
   </tr>
   <tr>
    <td width="189">出生：<?echo $cbirth;?></td>
    <td width="297">E-mail：<?echo $cusermail;?></td>
   </tr>
   <tr>
    <td width="189">性别：<?echo $cusersex;?></td>
    <td width="297">住址电话：<?echo $cusertel;?></td>
   </tr>
   <tr>
    <td width="189">籍贯：<?echo $cuserfrom;?></td>
    <td width="297">手机：<?echo $cusermobi;?></td>
   </tr>
   <tr>
    <td width="189">血型：<?echo $cuserblood;?></td>
    <td width="297">OICQ：<?echo $cuseroicq;?></td>
   </tr>
   <tr>
    <td width="189">星座：<?echo $cstar;?></td>
    <td width="297">ICQ：<?echo $cusericq;?></td>
   </tr>
   <tr>
    <td>邮编：<?echo $cusercode;?></td>
    <td>个人主页：<?echo $cuserpage;?></td>
   </tr>
   <tr>
    <td colspan="2">住址：<?echo $cuseraddr;?></td>
   </tr>
   <tr>
    <td colspan="2">爱好：<?echo $cuserhobby;?></td>
   </tr>
   <tr>
    <td colspan="2">简短留言：<?echo $cuserly;?></td>
   </tr>
   <tr bgcolor="#B5E1F7">
    <td colspan="2">&nbsp;</td>
   </tr>
  </table>

</div>
<?include"footer.php";?>